/*===========================================================================*/
/*   (Llib/custom.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/custom.scm -indent -o objs/obj_u/Llib/custom.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__customzf3zf3zz__customz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_customzf3zf3zz__customz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t, char *);
static obj_t BGl_importedzd2moduleszd2initz00zz__customz00();
static obj_t BGl__customzd2identifierzd2setz12z12zz__customz00(obj_t, obj_t, obj_t);
static obj_t BGl__customzd2identifierzd2zz__customz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_customzd2hashzd2zz__customz00(obj_t, int);
static obj_t BGl_requirezd2initializa7ationz75zz__customz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_customzd2identifierzd2zz__customz00(obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl__customzd2hashzd2zz__customz00(obj_t, obj_t, obj_t);
static obj_t BGl__customzd2equalzf3z21zz__customz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_customzd2equalzf3zd2envzf3zz__customz00, BgL_bgl__customza7d2equalza7f3za721za7za7__customza7001675z00, BGl__customzd2equalzf3z21zz__customz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_customzd2hashzd2envz00zz__customz00, BgL_bgl__customza7d2hashza7d2za7za7__customza7001676za7, BGl__customzd2hashzd2zz__customz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_customzd2identifierzd2setz12zd2envzc0zz__customz00, BgL_bgl__customza7d2identifierza7d2setza712za712za7za7__customza7001677za7, BGl__customzd2identifierzd2setz12z12zz__customz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_customzd2identifierzd2envz00zz__customz00, BgL_bgl__customza7d2identifierza7d2za7za7__customza7001678za7, BGl__customzd2identifierzd2zz__customz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_customzf3zd2envz21zz__customz00, BgL_bgl__customza7f3za7f3za7za7__customza7001679za7, BGl__customzf3zf3zz__customz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__customz00(long BgL_checksumz00_534, char * BgL_fromz00_535)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__customz00))
{ 
BGl_requirezd2initializa7ationz75zz__customz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__customz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* custom? */
BGL_EXPORTED_DEF bool_t BGl_customzf3zf3zz__customz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 75 */
return 
CUSTOMP(BgL_objz00_1);} 
}



/* _custom? */
obj_t BGl__customzf3zf3zz__customz00(obj_t BgL_envz00_515, obj_t BgL_objz00_516)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 75 */
{ /* ./Llib/custom.scm 76 */
bool_t BgL_auxz00_541;
BgL_auxz00_541 = 
CUSTOMP(BgL_objz00_516); 
return 
BBOOL(BgL_auxz00_541);} } 
}



/* custom-equal? */
BGL_EXPORTED_DEF bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t BgL_obj1z00_2, obj_t BgL_obj2z00_3)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 81 */
return 
CUSTOM_CMP(BgL_obj1z00_2, BgL_obj2z00_3);} 
}



/* _custom-equal? */
obj_t BGl__customzd2equalzf3z21zz__customz00(obj_t BgL_envz00_517, obj_t BgL_obj1z00_518, obj_t BgL_obj2z00_519)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 81 */
{ /* ./Llib/custom.scm 82 */
bool_t BgL_auxz00_545;
BgL_auxz00_545 = 
CUSTOM_CMP(BgL_obj1z00_518, BgL_obj2z00_519); 
return 
BBOOL(BgL_auxz00_545);} } 
}



/* custom-identifier */
BGL_EXPORTED_DEF char * BGl_customzd2identifierzd2zz__customz00(obj_t BgL_customz00_4)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 87 */
return 
CUSTOM_IDENTIFIER(BgL_customz00_4);} 
}



/* _custom-identifier */
obj_t BGl__customzd2identifierzd2zz__customz00(obj_t BgL_envz00_520, obj_t BgL_customz00_521)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 87 */
{ /* ./Llib/custom.scm 88 */
char * BgL_auxz00_549;
BgL_auxz00_549 = 
CUSTOM_IDENTIFIER(BgL_customz00_521); 
return 
string_to_bstring(BgL_auxz00_549);} } 
}



/* custom-identifier-set! */
BGL_EXPORTED_DEF obj_t BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t BgL_customz00_5, char * BgL_strz00_6)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 93 */
return 
CUSTOM_IDENTIFIER_SET(BgL_customz00_5, BgL_strz00_6);} 
}



/* _custom-identifier-set! */
obj_t BGl__customzd2identifierzd2setz12z12zz__customz00(obj_t BgL_envz00_522, obj_t BgL_customz00_523, obj_t BgL_strz00_524)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 93 */
{ /* ./Llib/custom.scm 94 */
char * BgL_auxz00_553;
BgL_auxz00_553 = 
BSTRING_TO_STRING(BgL_strz00_524); 
return 
CUSTOM_IDENTIFIER_SET(BgL_customz00_523, BgL_auxz00_553);} } 
}



/* custom-hash */
BGL_EXPORTED_DEF obj_t BGl_customzd2hashzd2zz__customz00(obj_t BgL_customz00_7, int BgL_modz00_8)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 99 */
{ /* ./Llib/custom.scm 100 */
int BgL_numz00_507;
BgL_numz00_507 = 
CUSTOM_HASH_NUMBER(BgL_customz00_7); 
{ /* ./Llib/custom.scm 100 */
long BgL_n1z00_508;long BgL_n2z00_509;
BgL_n1z00_508 = 
(long)(BgL_numz00_507); 
BgL_n2z00_509 = 
(long)(BgL_modz00_8); 
{ /* ./Llib/custom.scm 100 */
long BgL_auxz00_559;
BgL_auxz00_559 = 
(BgL_n1z00_508%BgL_n2z00_509); 
return 
BINT(BgL_auxz00_559);} } } } 
}



/* _custom-hash */
obj_t BGl__customzd2hashzd2zz__customz00(obj_t BgL_envz00_525, obj_t BgL_customz00_526, obj_t BgL_modz00_527)
{ AN_OBJECT;
{ /* ./Llib/custom.scm 99 */
return 
BGl_customzd2hashzd2zz__customz00(BgL_customz00_526, 
CINT(BgL_modz00_527));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__customz00()
{ AN_OBJECT;
{ /* ./Llib/custom.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__custom");} 
}

